<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('horariosatenciones', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->time('horariocomienzo');
            $table->time('horariofin');
            $table->string('tipo'); // AM o PM
            $table->foreignId('diadeatencion_id')
                  ->constrained('diasdeatenciones');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('horariosatenciones');
    }
};

